Fix shellcheck lint errors in test/images/volume/iscsi/create_block.sh

k3s-v1.15.3
Bob Killen 2019-02-16 11:15:55 -05:00
parent 346bcdaa27
commit f795e22932
No known key found for this signature in database
GPG Key ID: 03FB8A8615239E6D
2 changed files with 6 additions and 7 deletions

View File

@ -86,5 +86,4 @@
./test/e2e_node/environment/setup_host.sh
./test/e2e_node/gubernator.sh
./test/images/image-util.sh
./test/images/volume/iscsi/create_block.sh
./test/images/volume/nfs/run_nfs.sh

View File

@ -17,7 +17,7 @@
# Exit on the first error.
set -e
MNTDIR=`mktemp -d`
MNTDIR="$(mktemp -d)"
cleanup()
{
@ -25,8 +25,8 @@ cleanup()
RET=$?
# Silently remove everything and ignore errors
set +e
/bin/umount $MNTDIR 2>/dev/null
/bin/rmdir $MNTDIR 2>/dev/null
/bin/umount "$MNTDIR" 2>/dev/null
/bin/rmdir "$MNTDIR" 2>/dev/null
/bin/rm block 2>/dev/null
exit $RET
}
@ -39,9 +39,9 @@ dd if=/dev/zero of=block seek=120 count=1 bs=1M
mkfs.ext2 block
# Add index.html to it
mount -o loop block $MNTDIR
echo "Hello from iscsi" > $MNTDIR/index.html
umount $MNTDIR
mount -o loop block "$MNTDIR"
echo "Hello from iscsi" > "$MNTDIR/index.html"
umount "$MNTDIR"
rm block.tar.gz 2>/dev/null || :
tar cfz block.tar.gz block